osmium::geom::CRS Class Reference

`#include <projection.hpp>`

## Classes

struct | ProjCRSDeleter

## Public Member Functions

| CRS (const std::string &crs)
| CRS (int epsg)
projPJ | get () const
bool | is_latlong () const
bool | is_geocent () const

## Private Attributes

std::unique_ptr< void, ProjCRSDeleter > | m_crs

## Detailed Description

C++ wrapper for a Coordinate Reference System of the proj library.

## Constructor & Destructor Documentation

osmium::geom::CRS::CRS | ( | const std::string & | crs | ) |

inline

osmium::geom::CRS::CRS | ( | int | epsg | ) |

inline

## Member Function Documentation

projPJ osmium::geom::CRS::get | ( |  | ) | const

inline

Get underlying projPJ handle from proj library.

bool osmium::geom::CRS::is_geocent | ( |  | ) | const

inline

bool osmium::geom::CRS::is_latlong | ( |  | ) | const

inline

## Member Data Documentation

std::unique_ptr<void, ProjCRSDeleter> osmium::geom::CRS::m_crs

private

The documentation for this class was generated from the following file:

- osmium/geom/projection.hpp